%%%-------------------------------------------------------------------
%%% @author licheng5
%%% @copyright (C) 2023, <COMPANY>
%%% @doc
%%%
%%% @end
%%% Created : 14. 2月 2023 19:48
%%%-------------------------------------------------------------------
-author("licheng5").

%% 主机是否在线
-define(HOST_OFFLINE, 0).
-define(HOST_ONLINE, 1).
-define(HOST_NOT_JOINED, -1).

%% 主机是否授权处理上报数据
-define(HOST_DENIED, 0).
-define(HOST_AUTHORIZED, 1).

%% 设备是否在线状态
-define(DEVICE_OFFLINE, 0).
-define(DEVICE_ONLINE, 1).
-define(DEVICE_NOT_JOINED, -1).

%% 下发的任务状态
-define(TASK_STATUS_INIT,   -1).  %% 未接入
-define(TASK_STATUS_FAILED, 0).    %% 离线
-define(TASK_STATUS_OK,     1).     %% 在线
